install button is not selectable in software-center if there is already a running download

Bug #529529 reported by marco.pallotta on 2010-02-28
110
This bug affects 18 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Gary Lasker
Lucid
Medium
Gary Lasker

Bug Description

Binary package hint: software-center

If you select, from software-center, a package to download and then (when this download is running) you want to select other packages to download, the install button is not selectable. To move around this issue you can press "more info" button, related to the software you want to download, and then press the install button.

Tested with a fully update 10.04 20100224 development branch

Michael Vogt (mvo) on 2010-03-01
Changed in software-center (Ubuntu):
importance: Undecided → Medium
milestone: none → ubuntu-10.04-beta-1
status: New → Confirmed
tags: added: gloam
Steve Langasek (vorlon) on 2010-03-23
Changed in software-center (Ubuntu Lucid):
milestone: ubuntu-10.04-beta-1 → ubuntu-10.04-beta-2
Changed in software-center (Ubuntu Lucid):
assignee: nobody → Gary Lasker (gary-lasker)
Changed in software-center (Ubuntu Lucid):
status: Confirmed → Triaged
Changed in software-center (Ubuntu Lucid):
status: Triaged → In Progress
dl.zerocool (dl.zerocool) wrote :

Same bug for remove button.
It would be really nice to be able to choose between install now or install later ( add to install list for example)
Because some packages take more time than other to download and you will be awaiting one after the other to download instead of having them all downloading together.

So it would be really nice to have the choice.
Thank you in advance.

Best regards
Yvan Da Silva.

YannUbuntu (yannubuntu) wrote :

(I don't agree, I think we should leave it simple: one button "Install" is enough IMHO. But this is not the point here, this should be discussed on Brainstorm for example).

I confirm the bug is also for the "Remove" button.

Gary Lasker (gary-lasker) wrote :

Hi dl.zerocool and YannUbuntu. Thanks for your comments. Note that the branch that I've linked to this bug fixes both the Install and Remove cases. Thanks!

Changed in software-center (Ubuntu Lucid):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 1.1.24

---------------
software-center (1.1.24) lucid; urgency=low

  [ Michael Vogt ]
  * softwarecenter/view/appview.py:
    - make the applist better accessible by providing a text only
      description of the selected item (LP: #455307)
  * data/templates/AppDetailsView.html:
    - make the app details view better accessible with orca/accersier

  [ Gary Lasker ]
  * softwarecenter/app.py,
    softwarecenter/view/softwarepane.py,
    softwarecenter/view/appview.py,
    softwarecenter/view/appdetailsview.py,
    softwarecenter/backend/aptd.py:
    - maintain install/remove button sensitivity based on
      status of individual rows to restore the ability
      to do multiple simultaneous install/removes (LP: #529529)
    - keep all install/remove menu items and buttons in
      sync (LP: #551417)
    - set "Install" button in details view insensitive when
      switching to it from the list view during an install
      (LP: #541844)
    - use correct color for the list view "Install" button
      when it is insensitive (LP: #550915)
  * softwarecenter/view/appdetailsview.py:
    - don't try to execute enable_action_button() if the
      details view page has not yet been loaded (LP: #551419)
 -- Michael Vogt <email address hidden> Thu, 01 Apr 2010 11:22:00 +0200

Changed in software-center (Ubuntu Lucid):
status: Fix Committed → Fix Released

Confirmed. Fix released :)

On Apr 8, 2010, at 2:30 PM, Launchpad Bug Tracker <<email address hidden>
 > wrote:

> This bug was fixed in the package software-center - 1.1.24
>
> ---------------
> software-center (1.1.24) lucid; urgency=low
>
> [ Michael Vogt ]
> * softwarecenter/view/appview.py:
> - make the applist better accessible by providing a text only
> description of the selected item (LP: #455307)
> * data/templates/AppDetailsView.html:
> - make the app details view better accessible with orca/accersier
>
> [ Gary Lasker ]
> * softwarecenter/app.py,
> softwarecenter/view/softwarepane.py,
> softwarecenter/view/appview.py,
> softwarecenter/view/appdetailsview.py,
> softwarecenter/backend/aptd.py:
> - maintain install/remove button sensitivity based on
> status of individual rows to restore the ability
> to do multiple simultaneous install/removes (LP: #529529)
> - keep all install/remove menu items and buttons in
> sync (LP: #551417)
> - set "Install" button in details view insensitive when
> switching to it from the list view during an install
> (LP: #541844)
> - use correct color for the list view "Install" button
> when it is insensitive (LP: #550915)
> * softwarecenter/view/appdetailsview.py:
> - don't try to execute enable_action_button() if the
> details view page has not yet been loaded (LP: #551419)
> -- Michael Vogt <email address hidden> Thu, 01 Apr 2010
> 11:22:00 +0200
>
> ** Changed in: software-center (Ubuntu Lucid)
> Status: Fix Committed => Fix Released
>
> --
> install button is not selectable in software-center if there is
> already a running download
> https://bugs.launchpad.net/bugs/529529
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “software-center” package in Ubuntu: Fix Released
> Status in “software-center” source package in Lucid: Fix Released
>
> Bug description:
> Binary package hint: software-center
>
> If you select, from software-center, a package to download and then
> (when this download is running) you want to select other packages to
> download, the install button is not selectable. To move around this
> issue you can press "more info" button, related to the software you
> want to download, and then press the install button.
>
> Tested with a fully update 10.04 20100224 development branch
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/software-center/+bug/529529/+subscribe

Mark Ericksen (spamingfree) wrote :

This is a regression in Meerkat Alpha 3 (just released)

This was a source of confusion for me. I'm an experienced Ubuntu user and a software developer. This is Meerkat Alpha 3 (just released).

In the Ubuntu Software Center, there is a section of "Featured" and "What's New". I was installing software and while that was going on in the background, I was clicking on featured applications and reading about them. When I found a new package I wanted to install, I found there was no way to install it. The "Install" button is hidden when a background download/install is underway. However, when I returned to the "Get Software" section and searched on the name of the software, I could install it there.

The problem is, since multiple software packages can be queued up to be installed, why can't we click "Install" when reviewing a package? At first, I was very confused thinking there was just no way to install the software from the "Featured" software screen. Only later (after trying to get screenshots) did I learn there was an Install button but it only shows up when nothing is happening in the background. I didn't even think about the downloads in the background at the time and was very, very confused.

I've attached three screenshots. 1) when a download is underway (no install button), 2) Install button shows when no installs, 3) Install underway but can search and install from the list.

Gary Lasker (gary-lasker) wrote :

Hi Mark! Thanks for finding this one, I just checked this myself and it is indeed a new problem in Maverick Alpha 3. Thanks especially for the excellent details in your comment, and for taking the time to make the screenshots as they tell the story perfectly!

I wonder if you wouldn't mind actually opening a new bug for this? The reason is that this is really a different error case from the original one from this bug, which had to do with install/remove buttons being inactivated in the applist view itself. The bug you've uncovered is in the appdetailsview (and as you point out, the applist view case still works correctly).

In the new bug, just copy and paste your comment #6, which is perfect, and attach your screenshot to the new bug. Sorry to make you do more work. I'm also happy to open the new bug if you prefer, but I figured you'd want to be the reporter since you found it. Just let me know if you'd prefer I do it.

Thanks again! And please continue to report any other problems or issues you encounter with Software Center. Your help is much appreciated!

Mark Ericksen (spamingfree) wrote :

Gary,

Thank you for the professional and friendly feedback. After adding that comment, I realized that a new bug should probably be filed. You can find it here... (bug #613928) I tried to have it reference the original as I thought it was the same thing.

https://bugs.launchpad.net/bugs/613928

Thanks!

Gary Lasker (gary-lasker) wrote :

Cool, I just saw it! I'll tweak the new bug title a bit so we know what it is on sight and I'll set a milestone for the fix.

Many thanks!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions